package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报告模块类型
 *
 */
@Getter
@AllArgsConstructor
public enum ModuleType {

    CSO_HEADER("CSO_HEADER", "CSO封面模块"),

    CSO_PROMOTION_SUMMARY("CSO_PROMOTION_SUMMARY", "CSO推广总结模块"),
    CSO_PROMOTION_DETAILS("CSO_PROMOTION_DETAILS", "CSO推广明细模块"),
    CSO_APPENDIX("CSO_APPENDIX", "CSO签章"),


    PLATFORM_COMPANY_BASICINFO("PLATFORM_COMPANY_BASICINFO", "平台公司基本信息"),
    FOUNDATION_BASICINFO("FOUNDATION_BASICINFO", "基金会基本信息"),
    ASSOCIATION_BASICINFO("ASSOCIATION_BASICINFO", "学协会基本信息"),
    PUBLIC_RECORD("PUBLIC_RECORD", "公共记录"),
    PROJECT("PROJECT", "项目信息"),
    INTERESTCONFLICTS("INTERESTCONFLICTS", "利益冲突"),
    ANTIBRIBERY("ANTIBRIBERY", "反贿赂反腐败诚信保证"),
    COMMON("COMMON", "公共模块封面"),
    PLATFORM_COMPANY_FINANCIALINFO("PLATFORM_COMPANY_FINANCIALINFO", "平台公司财务"),
    FOUNDATION_FINANCIALINFO("FOUNDATION_FINANCIALINFO", "基金会财务"),
    PLATFORM_COMPANY_ATTACHMENTSECTION("PLATFORM_COMPANY_ATTACHMENTSECTION", "平台公司附件"),
    ASSOCIATION_ATTACHMENTSECTION("ASSOCIATION_ATTACHMENTSECTION", "学协会附件"),
    FOUNDATION_ATTACHMENTSECTION("FOUNDATION_ATTACHMENTSECTION", "基金会附件"),



    PLATFORM_COMPANY_BASICINFO_NEW("PLATFORM_COMPANY_BASICINFO_NEW", "工商信息"),
    PLATFORM_COMPANY_ANTIBRIBERY_NEW("PLATFORM_COMPANY_ANTIBRIBERY_NEW", "其他风险"),
    PLATFORM_COMPANY_FINANCIALINFO_NEW("PLATFORM_COMPANY_FINANCIALINFO_NEW", "经营风险"),
    PLATFORM_COMPANY_PUBLIC_RECORD_NEW("PLATFORM_COMPANY_PUBLIC_RECORD_NEW", "司法风险"),
    PLATFORM_COMPANY_TAX_NEW("PLATFORM_COMPANY_TAX_NEW", "税务风险");
    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
