package com.yaoyicloud.entity;

import lombok.Data;

@Data
public class ReportGenerationResult {
    private String modulePath;          // 单个模块路径
    private String mergedReportPath;    // 合并后的完整报告路径
    private boolean isLastModule;       // 是否是最后一个模块

    public ReportGenerationResult(String modulePath, String mergedReportPath, boolean isLastModule) {
        this.modulePath = modulePath;
        this.mergedReportPath = mergedReportPath;
        this.isLastModule = isLastModule;
    }
}
